Bug 177088 - sysutils/smartmontools -- update to 6.1
sysutils/smartmontools -- update to 6.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pawel Pekala
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-18 21:40 UTC by Jeremy Chadwick
Modified: 2013-03-19 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.89 KB, patch)
2013-03-18 21:40 UTC, Jeremy Chadwick
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Chadwick 2013-03-18 21:40:02 UTC
	Update smartmontools to 6.1, released 2013/03/16.

	Changes: http://sourceforge.net/apps/trac/smartmontools/browser/tags/RELEASE_6_1/smartmontools/NEWS

Fix: Apply below patch.  Patch will also be available at the following URL
	once I get a PR number: http://jdc.koitsu.org/freebsd/{prnum}

	Note: files/patch-atacam should be removed/deleted.

How-To-Repeat: 	n/a
Comment 1 Edwin Groothuis freebsd_committer 2013-03-18 21:40:14 UTC
Maintainer of sysutils/smartmontools,

Please note that PR ports/177088 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/177088

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-03-18 21:40:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 samm 2013-03-18 21:43:01 UTC
Thank you for PR, approved.

Maintainer.
Comment 4 Pawel Pekala freebsd_committer 2013-03-19 20:48:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 5 dfilter freebsd_committer 2013-03-19 21:02:53 UTC
Author: pawel
Date: Tue Mar 19 21:02:40 2013
New Revision: 314695
URL: http://svnweb.freebsd.org/changeset/ports/314695

Log:
  - Update to version 6.1 [1]
  - Correct Makefile header
  - NOPORTDOCS -> ! ${PORT_OPTIONS:MDOCS}
  
  PR:		ports/177088 [1]
  Submitted by:	Jeremy Chadwick <jdc@koitsu.org>
  Approved by:	Alex Samorukov <samm@os2.kiev.ua> (maintainer)

Deleted:
  head/sysutils/smartmontools/files/patch-atacam
Modified:
  head/sysutils/smartmontools/Makefile
  head/sysutils/smartmontools/distinfo   (contents, props changed)
  head/sysutils/smartmontools/pkg-plist   (contents, props changed)

Modified: head/sysutils/smartmontools/Makefile
==============================================================================
--- head/sysutils/smartmontools/Makefile	Tue Mar 19 20:37:07 2013	(r314694)
+++ head/sysutils/smartmontools/Makefile	Tue Mar 19 21:02:40 2013	(r314695)
@@ -1,8 +1,8 @@
-# Create by: Eduard Martinescu
+# Created by: Eduard Martinescu
 # $FreeBSD$
 
 PORTNAME=	smartmontools
-PORTVERSION=	6.0
+PORTVERSION=	6.1
 CATEGORIES=	sysutils
 MASTER_SITES=	SF
 
@@ -27,7 +27,9 @@ MAN8=		smartd.8 smartctl.8
 
 PORTDOCS=	*
 
-.if defined(NOPORTDOCS)
+.include <bsd.port.options.mk>
+
+.if ! ${PORT_OPTIONS:MDOCS}
 CONFIGURE_ARGS+=	--without-docdir --without-exampledir
 .else
 CONFIGURE_ARGS+=	--with-docdir=${DOCSDIR}

Modified: head/sysutils/smartmontools/distinfo
==============================================================================
--- head/sysutils/smartmontools/distinfo	Tue Mar 19 20:37:07 2013	(r314694)
+++ head/sysutils/smartmontools/distinfo	Tue Mar 19 21:02:40 2013	(r314695)
@@ -1,2 +1,2 @@
-SHA256 (smartmontools-6.0.tar.gz) = 9fe4ff2b7bcd00fde19db82bba168f5462ed6e857d3ef439495e304e3231d3a6
-SIZE (smartmontools-6.0.tar.gz) = 771540
+SHA256 (smartmontools-6.1.tar.gz) = a9003b8bccc82682f658ce76d70edb1842411e51dc56d4cd6b56618da1d9ce07
+SIZE (smartmontools-6.1.tar.gz) = 787091

Modified: head/sysutils/smartmontools/pkg-plist
==============================================================================
--- head/sysutils/smartmontools/pkg-plist	Tue Mar 19 20:37:07 2013	(r314694)
+++ head/sysutils/smartmontools/pkg-plist	Tue Mar 19 21:02:40 2013	(r314695)
@@ -1,6 +1,7 @@
 @stopdaemon smartd
 etc/periodic/daily/smart
 etc/smartd.conf.sample
+etc/smartd_warning.sh
 sbin/smartctl
 sbin/smartd
 sbin/update-smart-drivedb
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Pawel Pekala freebsd_committer 2013-03-19 21:02:55 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!